Download it now!
Bug 115436 - Kenyan Shilling missing as a currency
Summary: Kenyan Shilling missing as a currency
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Localization (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium enhancement
Assignee: Eike Rathke
URL:
Whiteboard: target:7.1.0 target:7.0.3
Keywords:
Depends on:
Blocks: Languages
  Show dependency treegraph
 
Reported: 2018-02-04 11:10 UTC by Diarmuid O'Briain
Modified: 2020-09-24 19:41 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Diarmuid O'Briain 2018-02-04 11:10:11 UTC
There is no Kenyan Shilling currency option.

sign: KSh; code: KES
Comment 1 Diarmuid O'Briain 2018-02-04 11:11:03 UTC
No sign: KSh; code: KES in currency options for Kenyan Shilling.
Comment 2 m.a.riosv 2018-02-04 11:29:47 UTC
Please don't set up you own bug as new, some else must do it.

Looks as it should be a reques for enhancement, except it was already implemented at some time.
Comment 3 Diarmuid O'Briain 2018-02-04 11:40:10 UTC
Sorry about the "new", I didn't know. As for enhancement, libreoffice doesn't have the currency that is used by 48 million people in one of the worlds new high-tech areas. I would hardly call that an enhancement but more like an omission that needs to be fixed. Enhancement means adding something new, this is something left out, there are already currencies in Libreoffice why would Kenya be left out ?
Comment 4 V Stuart Foote 2018-02-04 18:06:09 UTC
Looking at the i18n locale data [1] I don't see a sw_KE or en_KE; and Pootle portal shows no volunteer for Swahili general.

=-ref-=
[1] https://opengrok.libreoffice.org/xref/core/i18npool/source/localedata/data/
Comment 5 Eike Rathke 2018-02-06 09:53:58 UTC
Currencies are part of the locale data, for how to contribute please see https://wiki.documentfoundation.org/LibreOffice_Localization_Guide/How_To_Submit_New_Locale_Data
Comment 6 Ian Turner 2018-05-09 20:55:42 UTC
The Debian locales package includes locales for om_KE, sw_KE, and so_KE, including currency data. Can we just use one or more of those? I have attached them here for reference.
Comment 7 Eike Rathke 2020-09-23 12:09:06 UTC
Please take a look at what the LibreOffice locale data consists of, which is quite different from POSIX locales, see https://opengrok.libreoffice.org/xref/core/i18npool/source/localedata/data/locale.dtd and the locale data files mentioned in comment 4.

However, as English is an official language of Kenya I can derive locale data from en_UK and replace currency with KES Kenyan Shilling to form an en_KE locale data file so we'd have at least *something*.
Comment 8 Commit Notification 2020-09-24 12:21:28 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/23ff2c96709e48e06aa0a9dee237b73935cd60e5

Add English Kenya LCID 0xAC09 {en-KE} langtag mapping, tdf#115436

It will be available in 7.1.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 9 Commit Notification 2020-09-24 12:21:39 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/ae8995694da9ca29a62d13e6a320e5d39f4727e8

Resolves: tdf#115436 Add English Kenya {en-KE} locale data

It will be available in 7.1.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 10 Commit Notification 2020-09-24 12:22:49 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/8c96df159a5b049f703f4945d3a4b3977b2d5da6

Related: tdf#115436 Add English (Kenya) {en-KE} to language list

It will be available in 7.1.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 11 Eike Rathke 2020-09-24 15:37:49 UTC
Pending review https://gerrit.libreoffice.org/c/core/+/103323 for 7-0

Note that in the language list this shows up as
  {en-KE}
or
  Default - {en-KE}
as there is, on purpose, no language list entry that would need translation.

If there are concerns about this UX please object..
Comment 12 Commit Notification 2020-09-24 19:41:04 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "libreoffice-7-0":

https://git.libreoffice.org/core/commit/34b2f0d5c6634942486ed62527732b2184eb758c

Resolves: tdf#115436 Add English Kenya {en-KE} locale data

It will be available in 7.0.3.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.